# Poco

# template < class TObj, class TArgs, bool withSender = true >

# class Delegate

Library: Foundation
Package: Events
Header: Poco/Delegate.h

## Inheritance

Direct Base Classes: AbstractDelegate < TArgs >

All Base Classes: AbstractDelegate < TArgs >

## Member Summary

Member Functions: clone, notify, operator =

## Types

### void

typedef void (TObj::* NotifyMethod)(const void *, TArgs &);

## Constructors

### Delegate

Delegate(
const Delegate & delegate
);

### Delegate

Delegate(
TObj * obj,
NotifyMethod method
);

## Destructor

### ~Delegate

~Delegate();

## Member Functions

### clone

AbstractDelegate < TArgs > * clone() const;

### notify

bool notify(
const void * sender,
TArgs & arguments
);

### operator =

Delegate & operator = (
const Delegate & delegate
);

## Variables

### _receiverMethod

NotifyMethod _receiverMethod;

### _receiverObject

TObj * _receiverObject;